Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.addon.conversion.PowerPoint2PDFSettingData Class Reference

## Public Member Functions
| PowerPoint2PDFSettingData ()
| Constructor.
| PowerPoint2PDFSettingData (int intent, boolean frame_output_slides, int output_type, int handout_order, boolean output_hidden_slides, boolean include_doc_props, boolean disable_vba_code)
| Constructor, with parameters. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
boolean | getDisable_vba_code ()
| Get a boolean value decide whether to disable the execution of vba code in the PowerPoint document. More...
boolean | getFrame_output_slides ()
| Get a boolean value which indicates whether to frame output slides in the converted PDF document. More...
int | getHandout_order ()
| Get handout order used to specify the page layout order in which slides appear on converted handouts. More...
boolean | getInclude_doc_props ()
| Get a boolean value which indicates whether to include PowerPoint document properties in the converted PDF document. More...
int | getIntent ()
| Get converting intent. More...
boolean | getOutput_hidden_slides ()
| Get a boolean value which indicates whether to convert hidden slides to the converted PDF document. More...
int | getOutput_type ()
| Get output type used to specify which component (slides, handouts, notes pages, or an outline) of PowerPoint document is to be converted to PDF document. More...
void | set (int intent, boolean frame_output_slides, int output_type, int handout_order, boolean output_hidden_slides, boolean include_doc_props, boolean disable_vba_code)
| Set value. More...
void | setDisable_vba_code (boolean value)
| Set a boolean value decide whether to disable the execution of vba code in the PowerPoint document. More...
void | setFrame_output_slides (boolean value)
| Set a boolean value which indicates whether to frame output slides in the converted PDF document. More...
void | setHandout_order (int value)
| Set handout order used to specify the page layout order in which slides appear on converted handouts. More...
void | setInclude_doc_props (boolean value)
| Set a boolean value which indicates whether to include PowerPoint document properties in the converted PDF document. More...
void | setIntent (int value)
| Set converting intent. More...
void | setOutput_hidden_slides (boolean value)
| Set a boolean value which indicates whether to convert hidden slides to the converted PDF document. More...
void | setOutput_type (int value)
| Set output type used to specify which component (slides, handouts, notes pages, or an outline) of PowerPoint document is to be converted to PDF document. More...

## Static Public Attributes
static final int | e_ConvertIntentPrint = 0
| Intent: converted result file will be used for printing.
static final int | e_ConvertIntentScreen = 1
| Intent: converted result file will be used for showing on screen.
static final int | e_HandoutOrderHorizontalFirst = 0
| When converting PowerPoint in handouts type, convert handouts with consecutive slides displayed horizontally first (in horizontal rows).
static final int | e_HandoutOrderVerticalFirst = 1
| When converting PowerPoint in handouts type, convert handouts with consecutive slides displayed vertically first (in vertical columns).
static final int | e_OutputFourSlideHandouts = 7
| Output type: handouts with four slide per handout page.
static final int | e_OutputNineSlideHandouts = 9
| Output type: handouts with nine slide per handout page.
static final int | e_OutputNotesPages = 2
| Output type: notes pages.
static final int | e_OutputOneSlideHandouts = 4
| Output type: handouts with one slide per handout page.
static final int | e_OutputOutline = 3
| Output type: outline view.
static final int | e_OutputSixSlideHandouts = 8
| Output type: handouts with six slide per handout page.
static final int | e_OutputSlides = 1
| Output type: slides.
static final int | e_OutputThreeSlideHandouts = 6
| Output type: handouts with three slide per handout page.
static final int | e_OutputTwoSlideHandouts = 5
| Output type: handouts with two slide per handout page.

## Detailed Description

This class represents setting data used for converting PowerPoint to PDF.

## Constructor & Destructor Documentation

## ◆ PowerPoint2PDFSettingData()

com.foxit.sdk.addon.conversion.PowerPoint2PDFSettingData.PowerPoint2PDFSettingData | ( | int | intent,
|  | boolean | frame_output_slides,
|  | int | output_type,
|  | int | handout_order,
|  | boolean | output_hidden_slides,
|  | boolean | include_doc_props,
|  | boolean | disable_vba_code
| ) |  |

Constructor, with parameters.

Parameters

  [in] | intent | Converting intent. Please refer to values starting from com.foxit.sdk.addon.conversion.PowerPoint2PDFSettingData.e_ConvertIntentPrint and this should be one of these values.
  [in] | frame_output_slides | A boolean value which indicates whether to frame output slides in the converted PDF document or not.
  [in] | output_type | Output type used to specify which component of PowerPoint document is to be converted. Please refer to values starting from com.foxit.sdk.addon.conversion.PowerPoint2PDFSettingData.e_OutputSlides and this should be one of these values.
  [in] | handout_order | Handout order used to specify the page layout order in which slides appear on converted handouts that show multiple slides on one page. Please refer to values starting from com.foxit.sdk.addon.conversion.PowerPoint2PDFSettingData.e_HandoutOrderHorizontalFirst and this should be one of these values.
  [in] | output_hidden_slides | A boolean value which indicates whether to convert hidden slides to the converted PDF document.
  [in] | include_doc_props | A boolean value which indicates whether to include PowerPoint document properties in the converted PDF document.
  [in] | disable_vba_code | A boolean value decide whether to disable the execution of vba code in the PowerPoint document.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.addon.conversion.PowerPoint2PDFSettingData.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getDisable_vba_code()

com.foxit.sdk.addon.conversion.PowerPoint2PDFSettingData.getDisable_vba_code | ( |  | ) |

Get a boolean value decide whether to disable the execution of vba code in the PowerPoint document.

true means to disable the vba code, while false means not. Default value:false.
This flag is only supported on Windows platforms.

Returns
  A boolean value decide whether to disable the execution of vba code in the PowerPoint document.

## ◆ getFrame_output_slides()

com.foxit.sdk.addon.conversion.PowerPoint2PDFSettingData.getFrame_output_slides | ( |  | ) |

Get a boolean value which indicates whether to frame output slides in the converted PDF document.

true means to frame output slides in the converted PDF document.
false means not to frame output slides in the converted PDF document.

Returns
  A boolean value which indicates whether to frame output slides in the converted PDF document.

## ◆ getHandout_order()

com.foxit.sdk.addon.conversion.PowerPoint2PDFSettingData.getHandout_order | ( |  | ) |

Get handout order used to specify the page layout order in which slides appear on converted handouts.

Note
  This would be available only when output_type is one of following value:

  - com.foxit.sdk.addon.conversion.PowerPoint2PDFSettingData.e_OutputOneSlideHandouts

  - com.foxit.sdk.addon.conversion.PowerPoint2PDFSettingData.e_OutputTwoSlideHandouts

  - com.foxit.sdk.addon.conversion.PowerPoint2PDFSettingData.e_OutputThreeSlideHandouts

  - com.foxit.sdk.addon.conversion.PowerPoint2PDFSettingData.e_OutputFourSlideHandouts

  - com.foxit.sdk.addon.conversion.PowerPoint2PDFSettingData.e_OutputSixSlideHandouts

  - com.foxit.sdk.addon.conversion.PowerPoint2PDFSettingData.e_OutputNineSlideHandouts

Returns
  Handout order used to specify the page layout order in which slides appear on converted handouts. Handouts can be used to show multiple slides on one page when converting PowerPoint to PDF. Please refer to values starting from com.foxit.sdk.addon.conversion.PowerPoint2PDFSettingData.e_HandoutOrderHorizontalFirst and this should be one of these values.

## ◆ getInclude_doc_props()

com.foxit.sdk.addon.conversion.PowerPoint2PDFSettingData.getInclude_doc_props | ( |  | ) |

Get a boolean value which indicates whether to include PowerPoint document properties in the converted PDF document.

true means to include PowerPoint document properties in the converted PDF document.
false means not to include PowerPoint document properties in the converted PDF document.

Returns
  A boolean value which indicates whether to include PowerPoint document properties in the converted PDF document.

## ◆ getIntent()

com.foxit.sdk.addon.conversion.PowerPoint2PDFSettingData.getIntent | ( |  | ) |

Get converting intent.

Returns
  Converting intent. Please refer to values starting from com.foxit.sdk.addon.conversion.PowerPoint2PDFSettingData.e_ConvertIntentPrint and this should be one of these values.

## ◆ getOutput_hidden_slides()

com.foxit.sdk.addon.conversion.PowerPoint2PDFSettingData.getOutput_hidden_slides | ( |  | ) |

Get a boolean value which indicates whether to convert hidden slides to the converted PDF document.

true means to convert hidden slides to the converted PDF document.
false means not to convert hidden slides to the converted PDF document.

Returns
  A boolean value which indicates whether to convert hidden slides to the converted PDF document.

## ◆ getOutput_type()

com.foxit.sdk.addon.conversion.PowerPoint2PDFSettingData.getOutput_type | ( |  | ) |

Get output type used to specify which component (slides, handouts, notes pages, or an outline) of PowerPoint document is to be converted to PDF document.

Returns
  Output type used to specify which component (slides, handouts, notes pages, or an outline) of PowerPoint document is to be converted to PDF document. Please refer to values starting from com.foxit.sdk.addon.conversion.PowerPoint2PDFSettingData.e_OutputSlides and this should be one of these values.

## ◆ set()

void com.foxit.sdk.addon.conversion.PowerPoint2PDFSettingData.set | ( | int | intent,
|  | boolean | frame_output_slides,
|  | int | output_type,
|  | int | handout_order,
|  | boolean | output_hidden_slides,
|  | boolean | include_doc_props,
|  | boolean | disable_vba_code
| ) |  |

Set value.

Parameters

  [in] | intent | Converting intent. Please refer to values starting from com.foxit.sdk.addon.conversion.PowerPoint2PDFSettingData.e_ConvertIntentPrint and this should be one of these values.
  [in] | frame_output_slides | A boolean value which indicates whether to frame output slides in the converted PDF document or not.
  [in] | output_type | Output type used to specify which component of PowerPoint document is to be converted. Please refer to values starting from com.foxit.sdk.addon.conversion.PowerPoint2PDFSettingData.e_OutputSlides and this should be one of these values.
  [in] | handout_order | Handout order used to specify the page layout order in which slides appear on converted handouts that show multiple slides on one page. Please refer to values starting from com.foxit.sdk.addon.conversion.PowerPoint2PDFSettingData.e_HandoutOrderHorizontalFirst and this should be one of these values.
  [in] | output_hidden_slides | A boolean value which indicates whether to convert hidden slides to the converted PDF document.
  [in] | include_doc_props | A boolean value which indicates whether to include PowerPoint document properties in the converted PDF document.
  [in] | disable_vba_code | A boolean value decide whether to disable the execution of vba code in the PowerPoint document.

Returns
  None.

## ◆ setDisable_vba_code()

com.foxit.sdk.addon.conversion.PowerPoint2PDFSettingData.setDisable_vba_code | ( | boolean | value | ) |

Set a boolean value decide whether to disable the execution of vba code in the PowerPoint document.

true means to disable the vba code, while false means not. Default value:false.
This flag is only supported on Windows platforms.

Parameters

  [in] | value | A boolean value decide whether to disable the execution of vba code in the PowerPoint document.

Returns
  None.

## ◆ setFrame_output_slides()

com.foxit.sdk.addon.conversion.PowerPoint2PDFSettingData.setFrame_output_slides | ( | boolean | value | ) |

Set a boolean value which indicates whether to frame output slides in the converted PDF document.

true means to frame output slides in the converted PDF document.
false means not to frame output slides in the converted PDF document.

Parameters

  [in] | value | A boolean value which indicates whether to frame output slides in the converted PDF document.

Returns
  None.

## ◆ setHandout_order()

com.foxit.sdk.addon.conversion.PowerPoint2PDFSettingData.setHandout_order | ( | int | value | ) |

Set handout order used to specify the page layout order in which slides appear on converted handouts.

Note
  This would be available only when output_type is one of following value:

  - com.foxit.sdk.addon.conversion.PowerPoint2PDFSettingData.e_OutputOneSlideHandouts

  - com.foxit.sdk.addon.conversion.PowerPoint2PDFSettingData.e_OutputTwoSlideHandouts

  - com.foxit.sdk.addon.conversion.PowerPoint2PDFSettingData.e_OutputThreeSlideHandouts

  - com.foxit.sdk.addon.conversion.PowerPoint2PDFSettingData.e_OutputFourSlideHandouts

  - com.foxit.sdk.addon.conversion.PowerPoint2PDFSettingData.e_OutputSixSlideHandouts

  - com.foxit.sdk.addon.conversion.PowerPoint2PDFSettingData.e_OutputNineSlideHandouts

Parameters

  [in] | value | Handout order used to specify the page layout order in which slides appear on converted handouts. Handouts can be used to show multiple slides on one page when converting PowerPoint to PDF. Please refer to values starting from com.foxit.sdk.addon.conversion.PowerPoint2PDFSettingData.e_HandoutOrderHorizontalFirst and this should be one of these values.

Returns
  None.

## ◆ setInclude_doc_props()

com.foxit.sdk.addon.conversion.PowerPoint2PDFSettingData.setInclude_doc_props | ( | boolean | value | ) |

Set a boolean value which indicates whether to include PowerPoint document properties in the converted PDF document.

true means to include PowerPoint document properties in the converted PDF document.
false means not to include PowerPoint document properties in the converted PDF document.

Parameters

  [in] | value | A boolean value which indicates whether to include PowerPoint document properties in the converted PDF document.

Returns
  None.

## ◆ setIntent()

com.foxit.sdk.addon.conversion.PowerPoint2PDFSettingData.setIntent | ( | int | value | ) |

Set converting intent.

Parameters

  [in] | value | Converting intent. Please refer to values starting from com.foxit.sdk.addon.conversion.PowerPoint2PDFSettingData.e_ConvertIntentPrint and this should be one of these values.

Returns
  None.

## ◆ setOutput_hidden_slides()

com.foxit.sdk.addon.conversion.PowerPoint2PDFSettingData.setOutput_hidden_slides | ( | boolean | value | ) |

Set a boolean value which indicates whether to convert hidden slides to the converted PDF document.

true means to convert hidden slides to the converted PDF document.
false means not to convert hidden slides to the converted PDF document.

Parameters

  [in] | value | A boolean value which indicates whether to convert hidden slides to the converted PDF document.

Returns
  None.

## ◆ setOutput_type()

com.foxit.sdk.addon.conversion.PowerPoint2PDFSettingData.setOutput_type | ( | int | value | ) |

Set output type used to specify which component (slides, handouts, notes pages, or an outline) of PowerPoint document is to be converted to PDF document.

Parameters

  [in] | value | Output type used to specify which component (slides, handouts, notes pages, or an outline) of PowerPoint document is to be converted to PDF document. Please refer to values starting from com.foxit.sdk.addon.conversion.PowerPoint2PDFSettingData.e_OutputSlides and this should be one of these values.

Returns
  None.